/*
 * DocumentLookup.java
 *
 * Created on 1 dcembre 2002, 11:37
 */

package fr.gouv.culture.sdx.lookup;

import fr.gouv.culture.sdx.document.Document;
import fr.gouv.culture.sdx.exception.SDXException;

/**
 *
 * @author  pierrick
 */
public interface DocumentLookup {

    public void addDocument(Document doc) throws SDXException;
    public void deleteDocument(Document doc) throws SDXException;
    public boolean documentExists(Document doc);
    public String getDocumentProperty(Document doc, String property); 

}
