/*
 * RelationLookup.java
 *
 * Created on 1 dcembre 2002, 11:38
 */

package fr.gouv.culture.sdx.lookup;

import fr.gouv.culture.sdx.document.Document;
import fr.gouv.culture.sdx.exception.SDXException;

/**
 *
 * @author  pierrick
 */
public interface RelationLookup {

    public void addRelation(Document doc1, Document doc2, String relationType, Integer relationPosition) throws SDXException;
    public void deleteRelation(Document doc1, Document doc2, String relationType) throws SDXException;
    public Document[] getRelatedDocuments(Document doc, Boolean asOrigin, String relationType) throws SDXException;

}
