/*
 * BatchableLookup.java
 *
 * Created on 1 dcembre 2002, 11:54
 */

package fr.gouv.culture.sdx.lookup;

import fr.gouv.culture.sdx.document.Document;
import fr.gouv.culture.sdx.exception.SDXException;

/**
 *
 * @author  pierrick
 */
public interface BatchableLookup {
    public void setBatchSize(int size) throws SDXException;
    public int getBatchSize();
    public void beginBatch() throws SDXException ;
    public void endBatch() throws SDXException ;     
    public boolean isBatchInProcess();
}
